permissions apiKey | Resource | Description |
|---|---|
| Accounts | Access to accounts |
| External accounts | Access to external accounts |
| Customers | Access to customers |
| External customers | Access to external customers |
| Categories | Access to customer categories |
| Customers Categories | Access to customer categories |
| Special Treatment | Access to special treatment |
| Customer Special Treatment | Access to customers special treatment |
| Credit Card Tokenization | Credit card tokenization request operations |
| Customer credentials | Access to customer credentials |
| Customer identification processes | Access to customer identification processes |
permissions apiKey | Resource | Description |
|---|---|
| Accounts | Access to accounts |
| External accounts | Access to external accounts |
| Customers | Access to customers |
| External customers | Access to external customers |
| Categories | Access to customer categories |
| Customers Categories | Access to customer categories |
| Special Treatment | Access to special treatment |
| Customer Special Treatment | Access to customers special treatment |
| Credit Card Tokenization | Credit card tokenization request operations |
| Customer credentials | Access to customer credentials |
| Customer identification processes | Access to customer identification processes |
DigitalEmail: maxLength 255 → 82.Credential.username and CredentialResponse.username: maxLength 150 → 82.external_id field to CustomerSearchResponse schemanationality field to PatchPersonalInfo schemaPersonalInfoNationality schema with ISO 3166-1 alpha-2 pattern validation (^[A-Z]{2}$)address_lines values containing the literal string "undefined" in POST /customers and POST /customers/{id}/accountsaddress_lines items, aligned with Oracle column limitsmaxLength from 255 to 100 in Address and BillingAddress schemasPutAssociatedUsersRequest for the request body (reuses AssociatedUser for items)associated_users property from PatchCompanyInfo schemaPatchAssociatedUser schema (no longer referenced)associated_users support in CompanyInfo and CompanyInfoResponsecycle.name, day, type and frequency to InvoiceCycle schema.status field from GetAccount schema. Won't be usedreference_id to token_idstatus field from GetAccount schema. Won't be usedreference_id to token_idreference_id fieldstatus with enum values ACTIVE and PAYMENT_METHOD_PENDING to GetAccount schemareference_id field in GetPaymentMethod schemastate_id to BillingAddress schemapayment_method field.customer_id field.external_id has been removed from the response. It can be added in the future if needed.nationality> fields in AssociatedUsercontact_info> and nationality> fields in AssociatedUserexternal_id> to POST /orgs/{org_id}/customers responsecreate_date_time>, end_date_time>, last_modified_date_time>
in GET /orgs/{org_id}/customers/{customer_id}/categoriesvalue> in customer categories now is nullablevalue> in customer categories now is nullable. Customer categories with null value won't be shownreason> in customer category. Will be checked in codereason> fieldReturns all the info about a single account given by account id.
PATH PARAMETERS
organization name
Account identifier
OK successful operation
{
"id": "123e4567-e89b-12d3-a456-556642440000",
"external_id": "214748364",
"customer_id": "1efd6af5-dc6b-438e-b523-44f91322beac",
"customer_external_id": "23768603",
"contract_reference": "MMC1708177227910",
"modality": "PREPAID",
"billing_address": {
"address_lines": [
"Avenida de Bruselas, 38"
],
"postal_code": "28108",
"state_id": "28",
"locality": "Alcobendas",
"administrative_area": "Madrid",
"region_code": "ES"
},
"payment_method": {
"direct_debit": {
"type": "DIRECT_DEBIT",
"details": {
"iban": "ES7921000813610123456789"
}
},
"credit_card": {
"type": "CREDIT_CARD",
"details": {
"token_id": "e58ed763-928c-4155-bee9-fdbaaadc15f3"
}
},
"bank_transfer": {
"type": "BANK_TRANSFER",
"details": {}
},
"teci": {
"type": "TECI",
"details": {
"token_teci": "e58ed763-928c-4155-bee9-fdbaaadc15f3"
}
}
},
"invoice": {
"cycle": {
"name": "DIA 1 - MENSUAL",
"day": 1,
"type": "M",
"frequency": 1
},
"due_date_id": 5,
"due_days_id": 1,
"delivery_mode": "EMAIL"
},
"created_at": "2022-01-01T01:01:01Z",
"ended_at": "2022-01-01T01:01:01Z",
"updated_at": "2022-01-01T01:01:01Z"
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
id* | string (uuid) | Account id | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
external_id | string | null | Account external id | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
customer_id* | string (uuid) | Customer id | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
customer_external_id | string | null | Customer external id (legacy Oracle CUSTOMERID) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
contract_reference | string | null | Contract reference | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
modality* | string
()
PREPAIDRECURRING_PREPAIDPOSTPAID | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
billing_address | object | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
payment_method | object | Payment method is required for RECURRING_PREPAID and POSTPAID modalities. PREPAID modality has no payment method associated. | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
invoice | object | null | Account invoice info | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
created_at* | string (date-time) | Account creation date | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
ended_at | string (date-time) | null | Account end date | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
updated_at* | string (date-time) | Account end date | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Bad Request Invalid request body
{
"errors": [
{
"error": {
"code": "MCUS.999.998",
"title": "Bad request",
"ref": "http://",
"message": "Bad request"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"errors": [
{
"error": {
"code": "MCUS.999.996",
"title": "Unauthorized",
"ref": "http://",
"message": "Unauthorized"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Forbidden Forbidden resource
{
"errors": [
{
"error": {
"code": "MCUS.999.995",
"title": "Forbidden",
"ref": "http://",
"message": "Forbidden"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found Resource not found
{
"errors": [
{
"error": {
"code": "MCUS.999.997",
"title": "Resource not found",
"ref": "http://",
"message": "Resource not found"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Method Not Allowed Method not allowed
Internal Server Error Internal server error
{
"errors": [
{
"error": {
"code": "MCUS.999.999",
"title": "Unexpected error",
"ref": "http://",
"message": "Unexpected error"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Service Unavailable Service unavailable
{
"errors": [
{
"error": {
"code": "MCUS.001.005",
"title": "Database error",
"ref": "http://",
"message": "Connection los"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Repository timeout
{
"errors": [
{
"error": {
"code": "MCUS.001.009",
"title": "Database error",
"ref": "http://",
"message": "Statement timeout"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://customers.sta.masstack.com/v4/orgs/telco/accounts/123e4567-e89b-12d3-a456-556642440000' \
-H 'Accept: application/json' Update account payment method for a given account id
PATH PARAMETERS
organization name
Account identifier
{
"type": "BANK_TRANSFER",
"details": {}
} | Property | Type | Description | Constraints | Default | |||||
|---|---|---|---|---|---|---|---|---|---|
type* | string
()
BANK_TRANSFERDIRECT_DEBITCREDIT_CARD | ||||||||
details | any | any | any | iban is mandatory when type is DIRECT_DEBIT, token_id OR reference_id is mandatory when type is CREDIT_CARD | |||||||
| |||||||||
Accepted Asynchronous payment method update accepted (credit card with reference_id for pending tokenization)
No Content Synchronous payment method update completed successfully (bank transfer, direct debit, or credit card with token_id)
Bad Request Invalid request body
{
"errors": [
{
"error": {
"code": "MCUS.999.998",
"title": "Bad request",
"ref": "http://",
"message": "Bad request"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"errors": [
{
"error": {
"code": "MCUS.999.996",
"title": "Unauthorized",
"ref": "http://",
"message": "Unauthorized"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Forbidden Forbidden resource
{
"errors": [
{
"error": {
"code": "MCUS.999.995",
"title": "Forbidden",
"ref": "http://",
"message": "Forbidden"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found Resource not found
{
"errors": [
{
"error": {
"code": "MCUS.999.997",
"title": "Resource not found",
"ref": "http://",
"message": "Resource not found"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Internal server error
{
"errors": [
{
"error": {
"code": "MCUS.999.999",
"title": "Unexpected error",
"ref": "http://",
"message": "Unexpected error"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Service Unavailable Service unavailable
{
"errors": [
{
"error": {
"code": "MCUS.001.005",
"title": "Database error",
"ref": "http://",
"message": "Connection los"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Repository timeout
{
"errors": [
{
"error": {
"code": "MCUS.001.009",
"title": "Database error",
"ref": "http://",
"message": "Statement timeout"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X PATCH 'https://customers.sta.masstack.com/v4/orgs/telco/accounts/123e4567-e89b-12d3-a456-556642440000/payment-method' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"type": "BANK_TRANSFER",
"details": {}
}' Returns the history of payment methods for a single account given by account id. The result includes all historical payment methods with their details.
PATH PARAMETERS
organization name
Account identifier
OK successful operation
{
"payment_methods": [
{
"payment_method_type": "DIRECT_DEBIT",
"details": "ES7921000813610123456789",
"created_at": "2022-01-01T01:01:01Z"
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
payment_methods | object[] | |||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||
Bad Request Invalid request body
{
"errors": [
{
"error": {
"code": "MCUS.999.998",
"title": "Bad request",
"ref": "http://",
"message": "Bad request"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"errors": [
{
"error": {
"code": "MCUS.999.996",
"title": "Unauthorized",
"ref": "http://",
"message": "Unauthorized"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Forbidden Forbidden resource
{
"errors": [
{
"error": {
"code": "MCUS.999.995",
"title": "Forbidden",
"ref": "http://",
"message": "Forbidden"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found Resource not found
{
"errors": [
{
"error": {
"code": "MCUS.999.997",
"title": "Resource not found",
"ref": "http://",
"message": "Resource not found"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Method Not Allowed Method not allowed
Internal Server Error Internal server error
{
"errors": [
{
"error": {
"code": "MCUS.999.999",
"title": "Unexpected error",
"ref": "http://",
"message": "Unexpected error"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Service Unavailable Service unavailable
{
"errors": [
{
"error": {
"code": "MCUS.001.005",
"title": "Database error",
"ref": "http://",
"message": "Connection los"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Repository timeout
{
"errors": [
{
"error": {
"code": "MCUS.001.009",
"title": "Database error",
"ref": "http://",
"message": "Statement timeout"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://customers.sta.masstack.com/v4/orgs/telco/accounts/123e4567-e89b-12d3-a456-556642440000/payment-methods/historical' \
-H 'Accept: application/json' Returns the history of billing address changed about a single account given by account id. You can filter the time period you want to query. To do this, you must enter the 'from' and *'to' query parameters. Neither field is required for the query. If you do not enter these fields, the entire billing address change history for the account will be displayed. If you enter these fields, they must be entered in the yyyy-MM-dd format.
PATH PARAMETERS
organization name
Account identifier
QUERY PARAMETERS
start date query against createStamp column, with format yyyy-mm-dd, for example 2020-01-01
end date query against createStamp column with format yyyy-mm-dd, for example 2020-01-01
OK successful operation
{
"id": "123e4567-e89b-12d3-a456-556642440000",
"external_id": "214748364",
"from": "2020-01-01",
"to": "2020-01-01",
"history": [
{
"billing_address": {
"address_lines": [
"Avenida de Bruselas, 38"
],
"postal_code": "28108",
"state_id": "28",
"locality": "Alcobendas",
"administrative_area": "Madrid",
"region_code": "ES"
},
"init_date": "2022-01-01T01:01:01Z",
"end_date": "2022-01-01T01:01:01Z"
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
id | string (uuid) | Account id | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
external_id | string | null | Account external id | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
from | string (date) | null | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
to | string (date) | null | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
history | object[] | minItems: 1 | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Bad Request Invalid request body
{
"errors": [
{
"error": {
"code": "MCUS.999.998",
"title": "Bad request",
"ref": "http://",
"message": "Bad request"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"errors": [
{
"error": {
"code": "MCUS.999.996",
"title": "Unauthorized",
"ref": "http://",
"message": "Unauthorized"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Forbidden Forbidden resource
{
"errors": [
{
"error": {
"code": "MCUS.999.995",
"title": "Forbidden",
"ref": "http://",
"message": "Forbidden"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found Resource not found
{
"errors": [
{
"error": {
"code": "MCUS.999.997",
"title": "Resource not found",
"ref": "http://",
"message": "Resource not found"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Method Not Allowed Method not allowed
Internal Server Error Internal server error
{
"errors": [
{
"error": {
"code": "MCUS.999.999",
"title": "Unexpected error",
"ref": "http://",
"message": "Unexpected error"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Service Unavailable Service unavailable
{
"errors": [
{
"error": {
"code": "MCUS.001.005",
"title": "Database error",
"ref": "http://",
"message": "Connection los"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Repository timeout
{
"errors": [
{
"error": {
"code": "MCUS.001.009",
"title": "Database error",
"ref": "http://",
"message": "Statement timeout"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://customers.sta.masstack.com/v4/orgs/telco/accounts/123e4567-e89b-12d3-a456-556642440000/billing-address?from=2020-01-01&to=2020-12-31' \
-H 'Accept: application/json' Returns the invoice address information about a single account given by account id.
PATH PARAMETERS
organization name
Account identifier
OK successful operation
{
"name": "Antonio Benavente Blanco",
"address_lines": [
"Avenida de Bruselas, 38"
],
"postal_code": "28108",
"locality": "Alcobendas",
"administrative_area": "Madrid",
"region_code": "ES"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
name* | string | Destiny name | maxLength: 300 | |
address_lines* | string[] | minItems: 1, maxItems: 1 | ||
postal_code* | string | maxLength: 5, pattern: ^([0-4]\d{4})|(5[0-2]\d{3})$ | ||
locality* | string | minLength: 2, maxLength: 255 | ||
administrative_area* | string | minLength: 4, maxLength: 50 | ||
region_code* | string |
Bad Request Invalid request body
{
"errors": [
{
"error": {
"code": "MCUS.999.998",
"title": "Bad request",
"ref": "http://",
"message": "Bad request"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"errors": [
{
"error": {
"code": "MCUS.999.996",
"title": "Unauthorized",
"ref": "http://",
"message": "Unauthorized"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Forbidden Forbidden resource
{
"errors": [
{
"error": {
"code": "MCUS.999.995",
"title": "Forbidden",
"ref": "http://",
"message": "Forbidden"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found Resource not found
{
"errors": [
{
"error": {
"code": "MCUS.999.997",
"title": "Resource not found",
"ref": "http://",
"message": "Resource not found"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Method Not Allowed Method not allowed
Internal Server Error Internal server error
{
"errors": [
{
"error": {
"code": "MCUS.999.999",
"title": "Unexpected error",
"ref": "http://",
"message": "Unexpected error"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Service Unavailable Service unavailable
{
"errors": [
{
"error": {
"code": "MCUS.001.005",
"title": "Database error",
"ref": "http://",
"message": "Connection los"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Repository timeout
{
"errors": [
{
"error": {
"code": "MCUS.001.009",
"title": "Database error",
"ref": "http://",
"message": "Statement timeout"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://customers.sta.masstack.com/v4/orgs/telco/accounts/123e4567-e89b-12d3-a456-556642440000/invoice-recipient' \
-H 'Accept: application/json' list account promotions by account
ACTIVATED: Returns the list of active promotions for the account. Those with a past activated_date and future expiration_date, which must be applied to the customer's invoice. This is the default value if not sent.
SCHEDULED: Returns the list of scheduled promotions: those with a future activation date.
ALL: includes all those mentioned in the previous two.
PATH PARAMETERS
organization name
Account identifier
QUERY PARAMETERS
Account Promotion Type
OK successful operation
[
{
"id": "123e4567-e89b-12d3-a456-556642440000",
"account_id": "123e4567-e89b-12d3-a456-556642440000",
"promotion_id": 2064,
"start_date": "2025-09-01",
"end_date": "2026-03-01",
"status": "PENDING"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
id | string (uuid) | Promotion Account identifier | ||
account_id | string (uuid) | Account identifier | ||
promotion_id | integer | Promotion identifier | minLength: 1, maxLength: 4 | |
start_date | string (date) | Star Date to promotion in account | ||
end_date | string (date) | End Date to promotion in account | ||
status | string | Status to promotion in account |
Bad Request Invalid request body
{
"errors": [
{
"error": {
"code": "MCUS.999.998",
"title": "Bad request",
"ref": "http://",
"message": "Bad request"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"errors": [
{
"error": {
"code": "MCUS.999.996",
"title": "Unauthorized",
"ref": "http://",
"message": "Unauthorized"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Forbidden Forbidden resource
{
"errors": [
{
"error": {
"code": "MCUS.999.995",
"title": "Forbidden",
"ref": "http://",
"message": "Forbidden"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found Resource not found
{
"errors": [
{
"error": {
"code": "MCUS.999.997",
"title": "Resource not found",
"ref": "http://",
"message": "Resource not found"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Internal server error
{
"errors": [
{
"error": {
"code": "MCUS.999.999",
"title": "Unexpected error",
"ref": "http://",
"message": "Unexpected error"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Service Unavailable Service unavailable
{
"errors": [
{
"error": {
"code": "MCUS.001.005",
"title": "Database error",
"ref": "http://",
"message": "Connection los"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Repository timeout
{
"errors": [
{
"error": {
"code": "MCUS.001.009",
"title": "Database error",
"ref": "http://",
"message": "Statement timeout"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://customers.sta.masstack.com/v4/orgs/telco/accounts/123e4567-e89b-12d3-a456-556642440000/promotions?account_promotion_type=ACTIVE' \
-H 'Accept: application/json' Add promotion for a given account id
PATH PARAMETERS
organization name
Account identifier
OK successful operation
[
{
"id": "123e4567-e89b-12d3-a456-556642440000",
"account_id": "123e4567-e89b-12d3-a456-556642440000",
"promotion_id": 2064,
"start_date": "2025-09-01",
"end_date": "2026-03-01",
"status": "PENDING"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
id | string (uuid) | Promotion Account identifier | ||
account_id | string (uuid) | Account identifier | ||
promotion_id | integer | Promotion identifier | minLength: 1, maxLength: 4 | |
start_date | string (date) | Star Date to promotion in account | ||
end_date | string (date) | End Date to promotion in account | ||
status | string | Status to promotion in account |
Bad Request Invalid request body
{
"errors": [
{
"error": {
"code": "MCUS.999.998",
"title": "Bad request",
"ref": "http://",
"message": "Bad request"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"errors": [
{
"error": {
"code": "MCUS.999.996",
"title": "Unauthorized",
"ref": "http://",
"message": "Unauthorized"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Forbidden Forbidden resource
{
"errors": [
{
"error": {
"code": "MCUS.999.995",
"title": "Forbidden",
"ref": "http://",
"message": "Forbidden"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found Resource not found
{
"errors": [
{
"error": {
"code": "MCUS.999.997",
"title": "Resource not found",
"ref": "http://",
"message": "Resource not found"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Internal server error
{
"errors": [
{
"error": {
"code": "MCUS.999.999",
"title": "Unexpected error",
"ref": "http://",
"message": "Unexpected error"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Service Unavailable Service unavailable
{
"errors": [
{
"error": {
"code": "MCUS.001.005",
"title": "Database error",
"ref": "http://",
"message": "Connection los"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Repository timeout
{
"errors": [
{
"error": {
"code": "MCUS.001.009",
"title": "Database error",
"ref": "http://",
"message": "Statement timeout"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X POST 'https://customers.sta.masstack.com/v4/orgs/telco/accounts/123e4567-e89b-12d3-a456-556642440000/promotions' \
-H 'Accept: application/json' get all operation to promotions to account by date
PATH PARAMETERS
organization name
Account identifier
QUERY PARAMETERS
Reference date to list account promotion operation history
OK successful operation
[
{
"account_id": "123e4567-e89b-12d3-a456-556642440000",
"promotion_id": 2064,
"start_date": "2025-09-01",
"end_date": "2026-03-01",
"status": "PENDING",
"operation": "INSERT"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
account_id | string (uuid) | Account identifier | ||
promotion_id | integer | Promotion identifier | minLength: 1, maxLength: 4 | |
start_date | string (date) | Star Date to promotion in account | ||
end_date | string (date) | End Date to promotion in account | ||
status | string | Status to promotion in account | ||
operation | string | Operation |
Bad Request Invalid request body
{
"errors": [
{
"error": {
"code": "MCUS.999.998",
"title": "Bad request",
"ref": "http://",
"message": "Bad request"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"errors": [
{
"error": {
"code": "MCUS.999.996",
"title": "Unauthorized",
"ref": "http://",
"message": "Unauthorized"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Forbidden Forbidden resource
{
"errors": [
{
"error": {
"code": "MCUS.999.995",
"title": "Forbidden",
"ref": "http://",
"message": "Forbidden"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found Resource not found
{
"errors": [
{
"error": {
"code": "MCUS.999.997",
"title": "Resource not found",
"ref": "http://",
"message": "Resource not found"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Internal server error
{
"errors": [
{
"error": {
"code": "MCUS.999.999",
"title": "Unexpected error",
"ref": "http://",
"message": "Unexpected error"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Service Unavailable Service unavailable
{
"errors": [
{
"error": {
"code": "MCUS.001.005",
"title": "Database error",
"ref": "http://",
"message": "Connection los"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Repository timeout
{
"errors": [
{
"error": {
"code": "MCUS.001.009",
"title": "Database error",
"ref": "http://",
"message": "Statement timeout"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://customers.sta.masstack.com/v4/orgs/telco/accounts/123e4567-e89b-12d3-a456-556642440000/promotions_hist?start_date=2025-09-01' \
-H 'Accept: application/json' Update cancellation date to account promotion
PATH PARAMETERS
organization name
Account identifier
Account promotion relation identifier
{
"cancellation_date": "2025-09-01"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
cancellation_date* | string (date) | Cancellation Date to promotion in account |
No Content successful operation
Bad Request Invalid request body
{
"errors": [
{
"error": {
"code": "MCUS.999.998",
"title": "Bad request",
"ref": "http://",
"message": "Bad request"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"errors": [
{
"error": {
"code": "MCUS.999.996",
"title": "Unauthorized",
"ref": "http://",
"message": "Unauthorized"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Forbidden Forbidden resource
{
"errors": [
{
"error": {
"code": "MCUS.999.995",
"title": "Forbidden",
"ref": "http://",
"message": "Forbidden"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found Resource not found
{
"errors": [
{
"error": {
"code": "MCUS.999.997",
"title": "Resource not found",
"ref": "http://",
"message": "Resource not found"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Internal server error
{
"errors": [
{
"error": {
"code": "MCUS.999.999",
"title": "Unexpected error",
"ref": "http://",
"message": "Unexpected error"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Service Unavailable Service unavailable
{
"errors": [
{
"error": {
"code": "MCUS.001.005",
"title": "Database error",
"ref": "http://",
"message": "Connection los"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Repository timeout
{
"errors": [
{
"error": {
"code": "MCUS.001.009",
"title": "Database error",
"ref": "http://",
"message": "Statement timeout"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X PATCH 'https://customers.sta.masstack.com/v4/orgs/telco/accounts/123e4567-e89b-12d3-a456-556642440000/promotions/123e4567-e89b-12d3-a456-556642440000' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"cancellation_date": "2025-09-01"
}' Get the account ID list for a single customer
PATH PARAMETERS
organization name
Customer identifier
OK Customer accounts returned successfully
{
"accounts": [
{
"id": "123e4567-e89b-12d3-a456-556642440000"
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
accounts | object[] | minItems: 0 | ||||||||||||
Array items:
| ||||||||||||||
Bad Request Invalid request body
{
"errors": [
{
"error": {
"code": "MCUS.999.998",
"title": "Bad request",
"ref": "http://",
"message": "Bad request"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"errors": [
{
"error": {
"code": "MCUS.999.996",
"title": "Unauthorized",
"ref": "http://",
"message": "Unauthorized"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Forbidden Forbidden resource
{
"errors": [
{
"error": {
"code": "MCUS.999.995",
"title": "Forbidden",
"ref": "http://",
"message": "Forbidden"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found Resource not found
{
"errors": [
{
"error": {
"code": "MCUS.999.997",
"title": "Resource not found",
"ref": "http://",
"message": "Resource not found"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Internal server error
{
"errors": [
{
"error": {
"code": "MCUS.999.999",
"title": "Unexpected error",
"ref": "http://",
"message": "Unexpected error"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Service Unavailable Service unavailable
{
"errors": [
{
"error": {
"code": "MCUS.001.005",
"title": "Database error",
"ref": "http://",
"message": "Connection los"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Repository timeout
{
"errors": [
{
"error": {
"code": "MCUS.001.009",
"title": "Database error",
"ref": "http://",
"message": "Statement timeout"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://customers.sta.masstack.com/v4/orgs/telco/customers/123e4567-e89b-12d3-a456-556642440000/accounts' \
-H 'Accept: application/json' Create account information about a single account and a single customer
PATH PARAMETERS
organization name
Customer identifier
{
"modality": "RECURRING_PREPAID",
"billing_address": {
"address_lines": [
"Avenida de Bruselas, 38"
],
"postal_code": "28108",
"state_id": "28",
"locality": "Alcobendas",
"administrative_area": "Madrid",
"region_code": "ES"
},
"payment_method": {
"type": "BANK_TRANSFER",
"details": {}
}
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
modality* | string
()
RECURRING_PREPAIDPOSTPAID | ||||||||||||||||||||||||||||||||||||||
billing_address | object | ||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||
payment_method* | object | ||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||
OK Synchronous workflow completed successfully (bank transfer, direct debit, or credit card with token_id)
{
"id": "123e4567-e89b-12d3-a456-556642440000",
"external_id": "214748364"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
id* | string (uuid) | Account id | ||
external_id | string | null | Account external id |
Accepted Asynchronous workflow accepted (credit card with reference_id for pending tokenization)
{
"id": "123e4567-e89b-12d3-a456-556642440000",
"external_id": "214748364"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
id* | string (uuid) | Account id | ||
external_id | string | null | Account external id |
Bad Request Invalid request body
{
"errors": [
{
"error": {
"code": "MCUS.999.998",
"title": "Bad request",
"ref": "http://",
"message": "Bad request"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"errors": [
{
"error": {
"code": "MCUS.999.996",
"title": "Unauthorized",
"ref": "http://",
"message": "Unauthorized"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Forbidden Forbidden resource
{
"errors": [
{
"error": {
"code": "MCUS.999.995",
"title": "Forbidden",
"ref": "http://",
"message": "Forbidden"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found Resource not found
{
"errors": [
{
"error": {
"code": "MCUS.999.997",
"title": "Resource not found",
"ref": "http://",
"message": "Resource not found"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Conflict Conflict
{
"errors": [
{
"error": {
"code": "MCUS.999.994",
"title": "Conflict",
"ref": "http://",
"message": "The resource already exists"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Internal server error
{
"errors": [
{
"error": {
"code": "MCUS.999.999",
"title": "Unexpected error",
"ref": "http://",
"message": "Unexpected error"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Service Unavailable Service unavailable
{
"errors": [
{
"error": {
"code": "MCUS.001.005",
"title": "Database error",
"ref": "http://",
"message": "Connection los"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Repository timeout
{
"errors": [
{
"error": {
"code": "MCUS.001.009",
"title": "Database error",
"ref": "http://",
"message": "Statement timeout"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X POST 'https://customers.sta.masstack.com/v4/orgs/telco/customers/123e4567-e89b-12d3-a456-556642440000/accounts' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"modality": "RECURRING_PREPAID",
"billing_address": {
"address_lines": [
"Avenida de Bruselas, 38"
],
"postal_code": "28108",
"state_id": "28",
"locality": "Alcobendas",
"administrative_area": "Madrid",
"region_code": "ES"
},
"payment_method": {
"type": "BANK_TRANSFER",
"details": {}
}
}' Delete account information about a single account and a single customer given by the ids.
PATH PARAMETERS
organization name
Customer identifier
Account identifier
No Content successful operation
Bad Request Invalid request body
{
"errors": [
{
"error": {
"code": "MCUS.999.998",
"title": "Bad request",
"ref": "http://",
"message": "Bad request"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"errors": [
{
"error": {
"code": "MCUS.999.996",
"title": "Unauthorized",
"ref": "http://",
"message": "Unauthorized"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Forbidden Forbidden resource
{
"errors": [
{
"error": {
"code": "MCUS.999.995",
"title": "Forbidden",
"ref": "http://",
"message": "Forbidden"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found Resource not found
{
"errors": [
{
"error": {
"code": "MCUS.999.997",
"title": "Resource not found",
"ref": "http://",
"message": "Resource not found"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Conflict Conflict
{
"errors": [
{
"error": {
"code": "MCUS.999.994",
"title": "Conflict",
"ref": "http://",
"message": "The resource already exists"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Internal server error
{
"errors": [
{
"error": {
"code": "MCUS.999.999",
"title": "Unexpected error",
"ref": "http://",
"message": "Unexpected error"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Service Unavailable Service unavailable
{
"errors": [
{
"error": {
"code": "MCUS.001.005",
"title": "Database error",
"ref": "http://",
"message": "Connection los"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Repository timeout
{
"errors": [
{
"error": {
"code": "MCUS.001.009",
"title": "Database error",
"ref": "http://",
"message": "Statement timeout"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X DELETE 'https://customers.sta.masstack.com/v4/orgs/telco/customers/123e4567-e89b-12d3-a456-556642440000/accounts/123e4567-e89b-12d3-a456-556642440000' \
-H 'Accept: application/json' Returns all available payment methods for an account
PATH PARAMETERS
organization name
Customer identifier
Account identifier
OK Payment methods returned successfully
{
"payment_methods": [
"BANK_TRANSFER"
]
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
payment_methods | string[] | minItems: 1 |
Bad Request Invalid request body
{
"errors": [
{
"error": {
"code": "MCUS.999.998",
"title": "Bad request",
"ref": "http://",
"message": "Bad request"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"errors": [
{
"error": {
"code": "MCUS.999.996",
"title": "Unauthorized",
"ref": "http://",
"message": "Unauthorized"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Forbidden Forbidden resource
{
"errors": [
{
"error": {
"code": "MCUS.999.995",
"title": "Forbidden",
"ref": "http://",
"message": "Forbidden"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found Resource not found
{
"errors": [
{
"error": {
"code": "MCUS.999.997",
"title": "Resource not found",
"ref": "http://",
"message": "Resource not found"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Internal server error
{
"errors": [
{
"error": {
"code": "MCUS.999.999",
"title": "Unexpected error",
"ref": "http://",
"message": "Unexpected error"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Service Unavailable Service unavailable
{
"errors": [
{
"error": {
"code": "MCUS.001.005",
"title": "Database error",
"ref": "http://",
"message": "Connection los"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Repository timeout
{
"errors": [
{
"error": {
"code": "MCUS.001.009",
"title": "Database error",
"ref": "http://",
"message": "Statement timeout"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://customers.sta.masstack.com/v4/orgs/telco/customers/123e4567-e89b-12d3-a456-556642440000/accounts/123e4567-e89b-12d3-a456-556642440000/available-payment-methods' \
-H 'Accept: application/json' Returns account id given by account external id
PATH PARAMETERS
organization name
External id of account to return
OK successful operation
{
"id": "123e4567-e89b-12d3-a456-556642440000"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
id | string (uuid) | Account id |
Bad Request Invalid request body
{
"errors": [
{
"error": {
"code": "MCUS.999.998",
"title": "Bad request",
"ref": "http://",
"message": "Bad request"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"errors": [
{
"error": {
"code": "MCUS.999.996",
"title": "Unauthorized",
"ref": "http://",
"message": "Unauthorized"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Forbidden Forbidden resource
{
"errors": [
{
"error": {
"code": "MCUS.999.995",
"title": "Forbidden",
"ref": "http://",
"message": "Forbidden"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found Resource not found
{
"errors": [
{
"error": {
"code": "MCUS.999.997",
"title": "Resource not found",
"ref": "http://",
"message": "Resource not found"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Conflict Conflict
{
"errors": [
{
"error": {
"code": "MCUS.999.994",
"title": "Conflict",
"ref": "http://",
"message": "The resource already exists"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Internal server error
{
"errors": [
{
"error": {
"code": "MCUS.999.999",
"title": "Unexpected error",
"ref": "http://",
"message": "Unexpected error"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Service Unavailable Service unavailable
{
"errors": [
{
"error": {
"code": "MCUS.001.005",
"title": "Database error",
"ref": "http://",
"message": "Connection los"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Repository timeout
{
"errors": [
{
"error": {
"code": "MCUS.001.009",
"title": "Database error",
"ref": "http://",
"message": "Statement timeout"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://customers.sta.masstack.com/v4/orgs/telco/external-accounts/214748364' \
-H 'Accept: application/json' Returns all contracts by account external id
PATH PARAMETERS
organization name
External id of account to return
OK successful operation
{
"contracts": [
{
"id": "123e4567-e89b-12d3-a456-556642440000",
"account_external_id": "214748364",
"start_date": "2022-01-01T01:01:01Z",
"end_date": "2022-01-01T01:01:01Z",
"requests": [
{
"request_external_id": "214748364",
"create_date": "2022-01-01T01:01:01Z",
"contract_reference_id": "MMC2105077108808",
"type": "SALE_MOBILE_ONLY",
"origin_user": "john.doe"
}
]
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
contracts* | object[] | Contracts | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Bad Request Invalid request body
{
"errors": [
{
"error": {
"code": "MCUS.999.998",
"title": "Bad request",
"ref": "http://",
"message": "Bad request"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"errors": [
{
"error": {
"code": "MCUS.999.996",
"title": "Unauthorized",
"ref": "http://",
"message": "Unauthorized"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Forbidden Forbidden resource
{
"errors": [
{
"error": {
"code": "MCUS.999.995",
"title": "Forbidden",
"ref": "http://",
"message": "Forbidden"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found Resource not found
{
"errors": [
{
"error": {
"code": "MCUS.999.997",
"title": "Resource not found",
"ref": "http://",
"message": "Resource not found"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Internal server error
{
"errors": [
{
"error": {
"code": "MCUS.999.999",
"title": "Unexpected error",
"ref": "http://",
"message": "Unexpected error"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Service Unavailable Service unavailable
{
"errors": [
{
"error": {
"code": "MCUS.001.005",
"title": "Database error",
"ref": "http://",
"message": "Connection los"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Repository timeout
{
"errors": [
{
"error": {
"code": "MCUS.001.009",
"title": "Database error",
"ref": "http://",
"message": "Statement timeout"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://customers.sta.masstack.com/v4/orgs/telco/external-accounts/214748364/contracts' \
-H 'Accept: application/json' Returns active contract by account external id
PATH PARAMETERS
organization name
External id of account to return
OK successful operation
{
"id": "123e4567-e89b-12d3-a456-556642440000",
"account_external_id": "214748364",
"start_date": "2022-01-01T01:01:01Z",
"end_date": "2022-01-01T01:01:01Z",
"requests": [
{
"request_external_id": "214748364",
"create_date": "2022-01-01T01:01:01Z",
"contract_reference_id": "MMC2105077108808",
"type": "SALE_MOBILE_ONLY",
"origin_user": "john.doe"
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
id | string (uuid) | |||||||||||||||||||||||||||||||||
account_external_id | string | Account external id | ||||||||||||||||||||||||||||||||
start_date | string (date-time) | Contract start date | ||||||||||||||||||||||||||||||||
end_date | string (date-time) | Contract end date | ||||||||||||||||||||||||||||||||
requests | object[] | Contract requests | ||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||
Bad Request Invalid request body
{
"errors": [
{
"error": {
"code": "MCUS.999.998",
"title": "Bad request",
"ref": "http://",
"message": "Bad request"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"errors": [
{
"error": {
"code": "MCUS.999.996",
"title": "Unauthorized",
"ref": "http://",
"message": "Unauthorized"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Forbidden Forbidden resource
{
"errors": [
{
"error": {
"code": "MCUS.999.995",
"title": "Forbidden",
"ref": "http://",
"message": "Forbidden"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found Resource not found
{
"errors": [
{
"error": {
"code": "MCUS.999.997",
"title": "Resource not found",
"ref": "http://",
"message": "Resource not found"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Internal server error
{
"errors": [
{
"error": {
"code": "MCUS.999.999",
"title": "Unexpected error",
"ref": "http://",
"message": "Unexpected error"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Service Unavailable Service unavailable
{
"errors": [
{
"error": {
"code": "MCUS.001.005",
"title": "Database error",
"ref": "http://",
"message": "Connection los"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Repository timeout
{
"errors": [
{
"error": {
"code": "MCUS.001.009",
"title": "Database error",
"ref": "http://",
"message": "Statement timeout"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://customers.sta.masstack.com/v4/orgs/telco/external-accounts/214748364/contracts/active' \
-H 'Accept: application/json' Create a single customer.
PATH PARAMETERS
organization name
{
"type": "PRIVATE_CUSTOMER",
"preferred_language": "es",
"segment": "CONSUMER",
"contact_info": {
"phone_numbers": [
{
"country_code": "+34",
"number": "615667898",
"type": "MOBILE",
"is_default": true
}
],
"emails": [
{
"email": "email@example.com",
"is_default": true
}
],
"postal_address": {
"address_lines": [
"Calle Mayor 2, 3º A"
],
"postal_code": "28039",
"locality": "Fuenlabrada",
"administrative_area": "Madrid",
"region_code": "ES"
}
},
"personal_info": {
"identity_document": {
"number": "14861628V",
"type": "NIF"
},
"name": "Antonio",
"first_surname": "Benavente",
"second_surname": "Blanco",
"gender": "MALE",
"nationality": "ES",
"birthdate": "2022-01-01"
}
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
type* | string
()
PRIVATE_CUSTOMERCORPORATE_CUSTOMERDIGITAL_CUSTOMER | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
preferred_language* | string
()
escagleuenpt | Customer's preferred language code in [ISO-639-1](https://en.wikipedia.org/wiki/List_of_ISO_639_language_codes) lowercase format | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
segment* | string
()
CONSUMERSELF_EMPLOYEESME | Customer's segment, whether it is an individual, a self-employed customer, or a company (although so far we just support SME - Small Medium Enterprise). For PrivateCustomer: * CONSUMER For CorporateCustomer: * SELF_EMPLOYEE * SME | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
contact_info* | object | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
personal_info* | object | Private customer personal information | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
type* | string
()
PRIVATE_CUSTOMERCORPORATE_CUSTOMERDIGITAL_CUSTOMER | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
preferred_language* | string
()
escagleuenpt | Customer's preferred language code in [ISO-639-1](https://en.wikipedia.org/wiki/List_of_ISO_639_language_codes) lowercase format | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
segment* | string
()
CONSUMERSELF_EMPLOYEESME | Customer's segment, whether it is an individual, a self-employed customer, or a company (although so far we just support SME - Small Medium Enterprise). For PrivateCustomer: * CONSUMER For CorporateCustomer: * SELF_EMPLOYEE * SME | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
contact_info* | object | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
company_info* | object | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
type* | string
()
PRIVATE_CUSTOMERCORPORATE_CUSTOMERDIGITAL_CUSTOMER | |||||||||||||||||||||||||||||||||||||||||||||||||||||
preferred_language* | string
()
escagleuenpt | Customer's preferred language code in [ISO-639-1](https://en.wikipedia.org/wiki/List_of_ISO_639_language_codes) lowercase format | ||||||||||||||||||||||||||||||||||||||||||||||||||||
digital_personal_info* | object | Digital customer personal information | ||||||||||||||||||||||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||
Created successful operation
{
"id": "123e4567-e89b-12d3-a456-556642440000",
"external_id": "1111"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
id | string (uuid) | Customer id | ||
external_id | string | null | Customer external id. Only returned when inserted by ourselves. |
Bad Request Invalid request body
{
"errors": [
{
"error": {
"code": "MCUS.999.998",
"title": "Bad request",
"ref": "http://",
"message": "Bad request"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"errors": [
{
"error": {
"code": "MCUS.999.996",
"title": "Unauthorized",
"ref": "http://",
"message": "Unauthorized"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Forbidden Forbidden resource
{
"errors": [
{
"error": {
"code": "MCUS.999.995",
"title": "Forbidden",
"ref": "http://",
"message": "Forbidden"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found Resource not found
{
"errors": [
{
"error": {
"code": "MCUS.999.997",
"title": "Resource not found",
"ref": "http://",
"message": "Resource not found"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Method Not Allowed Method not allowed
Conflict Conflict
{
"errors": [
{
"error": {
"code": "MCUS.999.994",
"title": "Conflict",
"ref": "http://",
"message": "The resource already exists"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Internal server error
{
"errors": [
{
"error": {
"code": "MCUS.999.999",
"title": "Unexpected error",
"ref": "http://",
"message": "Unexpected error"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Service Unavailable Service unavailable
{
"errors": [
{
"error": {
"code": "MCUS.001.005",
"title": "Database error",
"ref": "http://",
"message": "Connection los"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Repository timeout
{
"errors": [
{
"error": {
"code": "MCUS.001.009",
"title": "Database error",
"ref": "http://",
"message": "Statement timeout"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X POST 'https://customers.sta.masstack.com/v4/orgs/telco/customers' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"type": "PRIVATE_CUSTOMER",
"preferred_language": "es",
"segment": "CONSUMER",
"contact_info": {
"phone_numbers": [
{
"country_code": "+34",
"number": "615667898",
"type": "MOBILE",
"is_default": true
}
],
"emails": [
{
"email": "email@example.com",
"is_default": true
}
],
"postal_address": {
"address_lines": [
"Calle Mayor 2, 3º A"
],
"postal_code": "28039",
"locality": "Fuenlabrada",
"administrative_area": "Madrid",
"region_code": "ES"
}
},
"personal_info": {
"identity_document": {
"number": "14861628V",
"type": "NIF"
},
"name": "Antonio",
"first_surname": "Benavente",
"second_surname": "Blanco",
"gender": "MALE",
"nationality": "ES",
"birthdate": "2022-01-01"
}
}' Returns customer ids
PATH PARAMETERS
organization name
QUERY PARAMETERS
Document with numbers and letters
Document type
Email used by customer to authenticate
OK successful operation
{
"customer": {
"id": "123e4567-e89b-12d3-a456-556642440000",
"external_id": "214748364"
}
} | Property | Type | Description | Constraints | Default | |||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
customer | object | ||||||||||||||||||
| |||||||||||||||||||
Bad Request Invalid request body
{
"errors": [
{
"error": {
"code": "MCUS.999.998",
"title": "Bad request",
"ref": "http://",
"message": "Bad request"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"errors": [
{
"error": {
"code": "MCUS.999.996",
"title": "Unauthorized",
"ref": "http://",
"message": "Unauthorized"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Forbidden Forbidden resource
{
"errors": [
{
"error": {
"code": "MCUS.999.995",
"title": "Forbidden",
"ref": "http://",
"message": "Forbidden"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found Resource not found
{
"errors": [
{
"error": {
"code": "MCUS.999.997",
"title": "Resource not found",
"ref": "http://",
"message": "Resource not found"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Internal server error
{
"errors": [
{
"error": {
"code": "MCUS.999.999",
"title": "Unexpected error",
"ref": "http://",
"message": "Unexpected error"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Service Unavailable Service unavailable
{
"errors": [
{
"error": {
"code": "MCUS.001.005",
"title": "Database error",
"ref": "http://",
"message": "Connection los"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Repository timeout
{
"errors": [
{
"error": {
"code": "MCUS.001.009",
"title": "Database error",
"ref": "http://",
"message": "Statement timeout"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://customers.sta.masstack.com/v4/orgs/telco/customers/search?identity_document=12345678A&identity_document_type=NIF&email=email%40example.com' \
-H 'Accept: application/json' Returns all the info about a single customer given by customer id.
PATH PARAMETERS
organization name
Customer identifier
OK successful operation
{} | Property | Type | Description | Constraints | Default |
|---|
Bad Request Invalid request body
{
"errors": [
{
"error": {
"code": "MCUS.999.998",
"title": "Bad request",
"ref": "http://",
"message": "Bad request"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"errors": [
{
"error": {
"code": "MCUS.999.996",
"title": "Unauthorized",
"ref": "http://",
"message": "Unauthorized"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Forbidden Forbidden resource
{
"errors": [
{
"error": {
"code": "MCUS.999.995",
"title": "Forbidden",
"ref": "http://",
"message": "Forbidden"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found Resource not found
{
"errors": [
{
"error": {
"code": "MCUS.999.997",
"title": "Resource not found",
"ref": "http://",
"message": "Resource not found"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Method Not Allowed Method not allowed
Internal Server Error Internal server error
{
"errors": [
{
"error": {
"code": "MCUS.999.999",
"title": "Unexpected error",
"ref": "http://",
"message": "Unexpected error"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Service Unavailable Service unavailable
{
"errors": [
{
"error": {
"code": "MCUS.001.005",
"title": "Database error",
"ref": "http://",
"message": "Connection los"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Repository timeout
{
"errors": [
{
"error": {
"code": "MCUS.001.009",
"title": "Database error",
"ref": "http://",
"message": "Statement timeout"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://customers.sta.masstack.com/v4/orgs/telco/customers/123e4567-e89b-12d3-a456-556642440000' \
-H 'Accept: application/json' Update customer information
PATH PARAMETERS
organization name
Customer identifier
{
"preferred_language": "es",
"contact_info": {
"phone_numbers": [
{
"country_code": "+34",
"number": "615667898",
"type": "MOBILE"
}
],
"emails": [
{
"email": "email@example.com"
}
]
}
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
preferred_language | string
()
escagleuenpt | Customer's preferred language code in [ISO-639-1](https://en.wikipedia.org/wiki/List_of_ISO_639_language_codes) lowercase format | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
contact_info | object | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
No Content successful operation
Bad Request Invalid request body
{
"errors": [
{
"error": {
"code": "MCUS.999.998",
"title": "Bad request",
"ref": "http://",
"message": "Bad request"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"errors": [
{
"error": {
"code": "MCUS.999.996",
"title": "Unauthorized",
"ref": "http://",
"message": "Unauthorized"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Forbidden Forbidden resource
{
"errors": [
{
"error": {
"code": "MCUS.999.995",
"title": "Forbidden",
"ref": "http://",
"message": "Forbidden"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Not Found Resource not found
{
"errors": [
{
"error": {
"code": "MCUS.999.997",
"title": "Resource not found",
"ref": "http://",
"message": "Resource not found"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Conflict Conflict
{
"errors": [
{
"error": {
"code": "MCUS.999.994",
"title": "Conflict",
"ref": "http://",
"message": "The resource already exists"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Internal server error
{
"errors": [
{
"error": {
"code": "MCUS.999.999",
"title": "Unexpected error",
"ref": "http://",
"message": "Unexpected error"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Service Unavailable Service unavailable
{
"errors": [
{
"error": {
"code": "MCUS.001.005",
"title": "Database error",
"ref": "http://",
"message": "Connection los"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Repository timeout
{
"errors": [
{
"error": {
"code": "MCUS.001.009",
"title": "Database error",
"ref": "http://",
"message": "Statement timeout"
}
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errors | object[] | minItems: 1 | |||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
[...]
